Subject: Re: [PATCH] asm/unaligned.h doesn't work well as the very first include

From: Harvey Harrison <[email-masked]>
Date: Sat, 26 Apr 2008 23:31:28 -0700

On Sun, 2008-04-27 at 07:12 +0100, Al Viro wrote:
> On Sun, Apr 27, 2008 at 08:09:44AM +0200, Sam Ravnborg wrote:
> 
> > It has been discussed that any .h file should pull
> > in what it needs so the other of includes does not matter.
> > Some do them alphabetically.
> 
> It has been discussed or it has been agreed?  IMO it's a bullshit - especially
> for low-level stuff like that.
> 
> As for the way some do includes...  It's not exactly a family-friendly list,
> but still I'd rather not comment in details on the existing practices...

I'm redoing the unaligned handling in -mm at the moment, and it avoids
this problem.

Harvey